Page MenuHomePhabricator

interwiki links on subpages in templates
Open, LowestPublic

Description

Originally from: http://sourceforge.net/p/pywikipediabot/bugs/665/
Reported by: Anonymous user
Created on: 2008-03-24 13:19:34
Subject: interwiki links on subpages in templates
Assigned to: bewareofdoug
Original description:
In English and some other major wikipedias interwiki links are placed on /doc subpage \(or whatever it's called\) in templates. Interwiki bot should check if such a page exists and not place interwiki links on main template page but place/update links on that subpage. Otherwise, everytime a bot places interwiki on a template with this structure, the main template page needs to be cleaned and interwiki links moved to a subpage manually


Version: unspecified
Severity: enhancement
See Also:
https://sourceforge.net/p/pywikipediabot/bugs/665

Details

Reference
bz55323

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 2:34 AM
bzimport set Reference to bz55323.
bzimport added a subscriber: Unknown Object (????).
Legoktm created this task.Oct 5 2013, 5:06 AM

Logged In: NO

Every like it about his problem.
If there is a page with subpages in templates. The interwiki links on the subpages needs to places in inside the nowiki section. So if the last word of the page is </nowiki> the interwiki link needs to be placed before the </nowiki> tag.

I'm the operator of the CarsracBot with its home on the nl.wikipedia.org
And I have seen this behaviour on that articles where en:list\_of\_asteroides/1101-1200 is a part of.

Logged In: NO

A few pages in the project namespace also use subpages for headers and interwiki links. Subpages usually have <includeonly> around the iw and category links, interwiki bots should leave that in place.

On dewiki templates can contain \{\{Dokumentation\}\} which will include
interwikis listed on subpage /Meta

  • priority: 5 --> 7

Behaviour changed. Interwiki bot doesn't change templates with \{\{document\}\}-templates inside. This also works for the corresponding template on de: and cs:-wiki.

  • priority: 7 --> 5
  • status: open --> open-accepted

Please, add redirects to \{\{Documentation\}\} too
http://en.wikipedia.org/w/index.php?title=Template:4TeamRR&diff=prev&oldid=330835720
there are 4 or 5 redirects to this template in en:

\{\{template doc\}\} and the other redirects at en-wiki will be added with next revision \(might be r7762\)

Is this still valid? I thought we had fixed this behavior and interwiki.py was now able to work with /doc links. I will test this but I'm pretty sure it's solved so if someone has the revision number where it was fixed that would be great to note here.

  • assigned_to: nobody --> bewareofdoug

this tracker is still valid. Bots only keeps track of these subpaces and prevents placing iw to the main page but does not place interwiki links on these subpage. But it should.

btw please do not assign the tracker to you until you'll fix it.

How about do like this:
1.find the \{\{doc\}\}...for example
2.treat as redirect and go to XXX/document and find if exist.
3.If not try /doc...ect...running through a list
4.Go to sub-pages
Just giving an idea as treated sub-pages \*similar\* to redirect...

Could be a duplicate of Bug 54570 and Bug 55231

  • Bug 55231 has been marked as a duplicate of this bug. ***

interwiki.py still skips documentation subpages instead working on them but since in Wikipedia and some other important wikis interwikis have moved to wikidata I mark this as unimportant

Restricted Application added a subscriber: Cyberpower678. · View Herald TranscriptJun 4 2018, 4:35 AM